## Apache Zeta Components Manual :: Docs For Class ezcMvcGzDeflateResponseFilter

### MvcTools::ezcMvcGzDeflateResponseFilter

### Class ezcMvcGzDeflateResponseFilter

Response filter that gz deflates the contents.

Source for this file: /MvcTools/src/response_filters/gzdeflate.php

### Implements interfaces:

- ezcMvcResponseFilter

Version: | //autogentag//

### Method Summary

public void | `filterResponse( $response )` This function filters the $response by gz-deflating it.
public void | `setOptions( $options )` Should not be called with any options, as this filter doesn't support any.

### Methods

#### filterResponse

void filterResponse( ezcMvcResponse $response )

This function filters the $response by gz-deflating it.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$response` | ezcMvcResponse |

##### Implementation of:

Method | Description
--- | ---
`ezcMvcResponseFilter::filterResponse()` | Alters the response object.

#### setOptions

void setOptions( $options )

Should not be called with any options, as this filter doesn't support any.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$options` | array |

##### Exceptions:

Type | Description
--- | ---
`ezcMvcFilterHasNoOptionsException` | if the $options array is not empty.

##### Implementation of:

Method | Description
--- | ---
`ezcMvcResponseFilter::setOptions()` | Sets options on the filter object

Documentation generated by phpDocumentor 1.4.3